lib = File.expand_path('lib', __dir__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'flutter_polyglot_cli/version'

Gem::Specification.new do |spec|
  spec.name = 'flutter_polyglot_cli'
  spec.version = PolyglotFlutter::VERSION
  spec.authors = ['Maroje Marcelic']
  spec.email = ['maroje.marcelic@infinum.com']

  spec.summary       = 'A CLI for pulling polyglot translations and generating Flutter Source Files'
  spec.homepage      = 'https://github.com/infinum/flutter-polyglot-cli'
  spec.license       = 'MIT'

  spec.metadata['allowed_push_host'] = 'https://rubygems.org'

  spec.files = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end

  spec.bindir = 'exe'
  spec.executables = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.add_development_dependency 'bundler', '~> 1.16'
  spec.add_development_dependency 'pry-byebug'
  spec.add_development_dependency 'rake', '~> 10.0'

  spec.add_dependency 'activesupport'
  spec.add_dependency 'commander'
  spec.add_dependency 'json_api_client'
  spec.add_dependency 'osx_keychain'
  spec.add_dependency 'tty-prompt'
end
